import { Command, flags } from '@oclif/command';
export default class Deploy extends Command {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        update: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        url: flags.IOptionFlag<string>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string>;
    };
    run(): Promise<void>;
    private asyncSubmitData;
    private normalizeUrl;
}
